Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006915Dwarf FortressAdventure Mode -- Generalpublic2014-07-09 21:152014-07-15 13:41
ReporterJoryFarice 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS Version OS X 10.9.3 (13
Product Version0.40.01 
Target VersionFixed in Version0.40.04 
Summary0006915: Crash when starting adventurer in retired fortress
DescriptionA couple times now I've attempted to be an adventurer in a fort I previously ran, however, upon starting, the game crashes instead with a big white box appearing.

I am not sure if this is happening on PC versions as well, but given other issues regarding retired fortresses, I would think so.
Steps To Reproduce1. Select Adventure Mode

2. Create your dwarf.

3. Redo the background until your character hails from a fortress you recently retired.

4. Crash :D
TagsNo tags attached.
Attached Files

- Relationships
related to 0006995resolvedToady One Crash in adventure mode on dead world after trying to create 3rd adventurer 
has duplicate 0007064resolvedFootkerchief Starting adventurer in civ of only player fort crashes game 
has duplicate 0006843resolvedToady One Crash when adventurer visits or gets near retired player fortress. 
has duplicate 0007312resolvedFootkerchief Attempted to create an adventure that had their background starting in on of my retired fortresses. 
has duplicate 0007393resolvedFootkerchief Crashes when I visit a retired fortress 
has duplicate 0007422resolvedFootkerchief DF crashes when loading a retired fortress site. 
has duplicate 0007451resolvedToady One Crash/freeze when reclaiming fort and unretiring adventurer 
related to 0008721acknowledgedlethosor NSAlert dialog boxes created in other threads can fail to display properly, leaving an undismissable "white box" 

-  Notes
(0025763)
ArmokGoB (reporter)
2014-07-11 08:44

This should be of "Crash" severity.
(0025781)
4maskwolf (reporter)
2014-07-11 10:06

This happened to me, and I made a separate bug report because I can't seem to use google-fu very well, but it does not always seem to happen. I'm running some tests.
(0025790)
Footkerchief (manager)
2014-07-11 10:28
edited on: 2014-07-12 08:54

4maskwolf posted some saves at 0007064:
http://dffd.wimbli.com/file.php?id=8871 [^]
http://dffd.wimbli.com/file.php?id=8872 [^]

(0025795)
4maskwolf (reporter)
2014-07-11 10:37

To follow up on those saves: trying to play as that adventurer that I retired to the fortress caused the game to crash.
(0025852)
4maskwolf (reporter)
2014-07-11 15:04

Toady mentioned there were crashes related to low-pop necromancer towers 0006995: could this be the same low-pop problem?
(0026040)
Toady One (administrator)
2014-07-12 16:01

I'm not able to reproduce this now, either with the posted method or with the saves, after some possibly related crash fixes. Those would be location/world dependent though, so we're probably wait-and-see with this for next time.
(0026041)
JoryFarice (reporter)
2014-07-12 16:02

Wooooo, Toady! Getting work done! Hope that your fixes fix it then and thank you so much :)
(0026419)
Footkerchief (manager)
2014-07-14 21:35
edited on: 2014-07-14 21:36

I was able to reproduce this in 0.40.03 using a save posted by Wrbrgrgl at 0007312: http://dffd.wimbli.com/file.php?id=8980 [^]

(0026518)
Toady One (administrator)
2014-07-15 12:13

I found two issues in the 0007312 save which would be either always or most always associated to retired forts, so hopefully this'll work for next time.

- Issue History
Date Modified Username Field Change
2014-07-09 21:15 JoryFarice New Issue
2014-07-11 08:36 Footkerchief Relationship added related to 0006995
2014-07-11 08:44 ArmokGoB Note Added: 0025763
2014-07-11 08:49 Footkerchief Summary Cannot start Adventure Mode in retired fortress => Cannot when starting adventurer in retired fortress
2014-07-11 08:49 Footkerchief Summary Cannot when starting adventurer in retired fortress => Crash when starting adventurer in retired fortress
2014-07-11 10:06 4maskwolf Note Added: 0025781
2014-07-11 10:28 Footkerchief Relationship added has duplicate 0007064
2014-07-11 10:28 Footkerchief Note Added: 0025790
2014-07-11 10:37 4maskwolf Note Added: 0025795
2014-07-11 10:41 4maskwolf Issue Monitored: 4maskwolf
2014-07-11 10:45 Footkerchief Relationship added related to 0006843
2014-07-11 15:04 4maskwolf Note Added: 0025852
2014-07-12 08:54 Footkerchief Note Edited: 0025790 View Revisions
2014-07-12 16:01 Toady One Note Added: 0026040
2014-07-12 16:02 JoryFarice Note Added: 0026041
2014-07-14 21:24 Footkerchief Relationship added has duplicate 0007312
2014-07-14 21:35 Footkerchief Note Added: 0026419
2014-07-14 21:36 Footkerchief Note Edited: 0026419 View Revisions
2014-07-15 12:13 Toady One Note Added: 0026518
2014-07-15 12:13 Toady One Status new => resolved
2014-07-15 12:13 Toady One Fixed in Version => Next Version
2014-07-15 12:13 Toady One Resolution open => fixed
2014-07-15 12:13 Toady One Assigned To => Toady One
2014-07-15 12:14 Toady One Relationship replaced has duplicate 0006843
2014-07-15 13:41 4maskwolf Issue End Monitor: 4maskwolf
2014-07-16 14:35 Footkerchief Relationship added has duplicate 0007393
2014-07-17 10:43 Footkerchief Relationship added has duplicate 0007422
2014-07-18 08:51 Footkerchief Relationship added has duplicate 0007451
2015-01-10 13:20 lethosor Relationship added related to 0008721


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker